Subject: Easy Mexican Pork
From: "Net Nut" <[email-masked]>
Date: 10 Feb 1997 05:17:36 -0700
Newsgroups: rec.food.recipes

A real quick and easy way to produce a hot Mexican pork dish.  

Easy Mexican Pork

about 1 pound of pork (preferably blade steaks) cut into one inch chunks
"La Victoria" Salsa Ranchera or Salsa Suprema

Brown the pork.  Add the salsa and simmer covered for 20 or 30 minutes. 
Serve over rice.

~~~
Rec.food.recipes is moderated; only recipes and recipe requests are accepted
for posting.  Please read the "Posting Guidelines" article.  Recipes/requests
go to [email-masked]; questions/comments to [email-masked].  
Please allow several days for your submission to appear.